Jump to content

ESXi 5 Mac OS X Unlocker


  • Please log in to reply
785 replies to this topic

#401
Donk

Donk

    InsanelyMac Deity

  • Members
  • PipPipPipPipPipPipPipPipPipPip
  • 1,975 posts
  • Gender:Male
  • Location:Manchester UK

Will sort it out.



Updated 26th February 2013
New Version 1.1.1 released
http://goo.gl/68s19

#402
oli-j

oli-j

    InsanelyMac Protégé

  • Members
  • Pip
  • 16 posts
  • Gender:Male
  • Location:High Wycombe, UK
For the uninitiated, I found this to be a great little guide for applying update patches to ESXI using simple SSH commands. Here.

#403
Jeff Risdon

Jeff Risdon

    InsanelyMac Protégé

  • Members
  • Pip
  • 13 posts
I have been having nothing but headaches with this whole procedure. I have tried everything in this thread to no avail. I have used the unlocker provided in the beginning of this thread. I have tried USB, DVD, diff versions of OSX. I evan used an iAtkos DVD to see if I could boot with that...actuall the iAtkos DVD started to boot more that the others I have tried. I saw that there was a new unlocker provided so I uninstalled the old one, rebooted the ESXi box and transferred over the new version using Filezilla. (I am doing all of this with a MAC using Fusion 5 with Windows 7 to access the ESXi Box). i then tried to install the new version by typing ./install.sh and get a permission denied statement back

/vmfs/volumes/51225005-2f446dbc-3bbf-001c23c9e598/esxi # ./install.sh
-sh: ./install.sh: Permission denied

I am logged in as root using puTTY

One more obstacle...can anyone help? Please?
Thanks!

Oh yeah Im using a Dell 2950 II server and I checked that the CPU's will support VT

#404
wxe911

wxe911

    InsanelyMac Protégé

  • Members
  • Pip
  • 17 posts
@ Jeff Risdon - you have to make files executable in that esxi directory. chmod +x *

#405
Jeff Risdon

Jeff Risdon

    InsanelyMac Protégé

  • Members
  • Pip
  • 13 posts
I did use chmod -x if that's what you mean? Thanks for responding.
I dont know what went wrong...was working fine when I installed ver1.10....

#406
wxe911

wxe911

    InsanelyMac Protégé

  • Members
  • Pip
  • 17 posts
@ Donk - your install.sh unlock v1.11 is not working no more.

I get error: /vmfs/volumes/507649ef-e167b49a-f47b-001b21d2a3ab/unlock-all-v111/esxi # ./install.sh
-sh: ./install.sh: not found

Jeff Risdon has a different error.

Could you please fix it.

@ Jeff Risdon - Just use the version 1.10 instead. V1.11 is only a shell script update and does not affect the actual patching.

#407
Jeff Risdon

Jeff Risdon

    InsanelyMac Protégé

  • Members
  • Pip
  • 13 posts
Thanks for responding wxe911!

#408
Donk

Donk

    InsanelyMac Deity

  • Members
  • PipPipPipPipPipPipPipPipPipPip
  • 1,975 posts
  • Gender:Male
  • Location:Manchester UK

Updated 26th February 2013
New Version 1.1.1 released
http://goo.gl/68s19


Don't use this if you are unlocked there isn't anything new apart from the install.sh script.

#409
wxe911

wxe911

    InsanelyMac Protégé

  • Members
  • Pip
  • 17 posts
Here is a guide on how to install Mountain Lion on vSpere 5.0.
http://cloudjockey.m...ion-on-vsphere/

#410
Donk

Donk

    InsanelyMac Deity

  • Members
  • PipPipPipPipPipPipPipPipPipPip
  • 1,975 posts
  • Gender:Male
  • Location:Manchester UK

@ Donk - your install.sh unlock v1.11 is not working no more.

I get error: /vmfs/volumes/507649ef-e167b49a-f47b-001b21d2a3ab/unlock-all-v111/esxi # ./install.sh
-sh: ./install.sh: not found

Jeff Risdon has a different error.

Could you please fix it.

@ Jeff Risdon - Just use the version 1.10 instead. V1.11 is only a shell script update and does not affect the actual patching.


It was mistakenly saved on Windows and does not have Unix end of line characters. Just use 1.1.0. Sorry about that, happened when I was packaging it up.

#411
sgreszcz

sgreszcz

    InsanelyMac Protégé

  • Members
  • Pip
  • 13 posts

Hi there,

I have been working with Mountain Lion on ESXi 5.1, but there are restrictions on that version as to what can be passed through using VT-d (say USB). I'm trying to install Mountain Lion on ESXi 5.0u2 (fresh install) but I instantly run into a (/) sign after the apple grey-screen boot sequence. I had no problems booting from this same NFS/dmg image for ESXi 5.1 and Mountain Lion. Do I need to convert the .dmg to .iso or is there something else that is causing the boot to break?


OK, I found an easy way to work-around this. I installed ML using ESXi5.1 which is quite quick and painless. Then I booted ESXi5.0u2 from another USB drive, imported the existing ML .vmx into the inventory, and it booted no problem.

Now I am going to try passing through the USB controllers which can be done in 5.0, but not 5.1 to see if I can get both my USB soundcard and accelerated graphics working at the same time.

#412
madmax14304

madmax14304

    InsanelyMac Protégé

  • Members
  • Pip
  • 6 posts

sgreszcz, Do you know what extra parms in the vmx were set when installing on 5.1? I'm trying to run it on u2 as well due to vmware destroying USB passthrough.



#413
Narcosis

Narcosis

    InsanelyMac Protégé

  • Members
  • Pip
  • 2 posts
  • Gender:Male
  • Location:Down by the river

Updated 26th February 2013
New Version 1.1.1 released
http://goo.gl/68s19


I just tried to hit this link an got:

Posted Image

#414
sgreszcz

sgreszcz

    InsanelyMac Protégé

  • Members
  • Pip
  • 13 posts

sgreszcz, Do you know what extra parms in the vmx were set when installing on 5.1? I'm trying to run it on u2 as well due to vmware destroying USB passthrough.



To be honest, I have no idea. Yesterday I re-installed ML on ESXi5.1 as I wanted a clean start after playing around with several virtual sound drivers. I was going to try to boot ML on ESXi 5.0u2 using physical media today after reading further back in this thread. For a laugh I just tried to import the Mountain Lion 5.1 install .vmx into the ESXi5.0u2 inventory, and it booted.

It does something strange by turning the vSphere console screen all white when idle for a while, but it comes back when I move the cursor. Strange, I don't remember it doing this in ESXi 5.1.

I can attach the .vmx if you want to see it

#415
madmax14304

madmax14304

    InsanelyMac Protégé

  • Members
  • Pip
  • 6 posts
Yeah, that'd be great. I was able to install ML from USB stick on 5.0u2, but it's not booting. I wonder if I just need to add a line to the vmx. Thanks

#416
MSoK

MSoK

    InsanelyMac Legend

  • Members
  • PipPipPipPipPipPipPip
  • 965 posts
  • Gender:Male
  • Location:Darlington UK

I just tried to hit this link an got:

Posted Image

I am assuming Donk removed version 1.1.1 due to a problem with the install script, please continue to use 1.1.0 in the meantime.

#417
sgreszcz

sgreszcz

    InsanelyMac Protégé

  • Members
  • Pip
  • 13 posts

Yeah, that'd be great. I was able to install ML from USB stick on 5.0u2, but it's not booting. I wonder if I just need to add a line to the vmx. Thanks


Pasted osx.vmx here: http://pastebin.com/4mjYx2Xi

#418
sgreszcz

sgreszcz

    InsanelyMac Protégé

  • Members
  • Pip
  • 13 posts
Does anyone know how to get rid of this when you boot OSX in ESXi5.0? I don't see this in 5.1. Thanks!

Posted Image

#419
Donk

Donk

    InsanelyMac Deity

  • Members
  • PipPipPipPipPipPipPipPipPipPip
  • 1,975 posts
  • Gender:Male
  • Location:Manchester UK

Does anyone know how to get rid of this when you boot OSX in ESXi5.0? I don't see this in 5.1. Thanks!


You can't unless you use 1 vCPU.

I am assuming Donk removed version 1.1.1 due to a problem with the install script, please continue to use 1.1.0 in the meantime.


Yep - removed it. I will work on another version when I get time. The only change was to stop those who tried running the script in the root folder of ESXi.

#420
muiterz

muiterz

    InsanelyMac Protégé

  • Members
  • Pip
  • 42 posts
  • Gender:Male
  • Location:The Netherlands
I wanna upgrade to the Chaintech GA-Q77M-D2H. A Q77 chipset. I want this chipset because of the VT-D virtualisation possibilitys and the vPro and so.

I also want Dp/DVI/HDMI onboard output. So the only board is the chaintech GA-Q77M-D2H. I will use the I7 3770 processor. (not k!) and 16 gb ram, and 2 SSD (1 for hackintosh and for windows 8) and 2 tb seagate for data (both win/hackintosh)

- Can I use virtualisation tools like ESXi/XEN for a real hackintosh virtual VT-D setup? So let's say 1 for windows 8 with the HD 4000 card and 1 for the hackintosh setup with the radeon 6850 card. Both covering 3/3 monitor output? And 8 GB both?
- Can I use parallels extreme with VT-D to emulate windows 8 native (with pass-through radeon 6850)?





0 user(s) are reading this topic

0 members, 0 guests, 0 anonymous users

© 2014 InsanelyMac  |   News  |   Forum  |   Downloads  |   OSx86 Wiki  |   Mac Netbook  |   PHP hosting by CatN  |   Designed by Ed Gain  |   Logo by irfan  |   Privacy Policy